SUSE-SU-2018:0873-1: important: Security update for python-paramiko

\n\n SUSE Security Update: Security update for python-paramiko
______________________________________________________________________________

Announcement ID: SUSE-SU-2018:0873-1
Rating: important
References: #1085276
Cross-References: CVE-2018-7750
Affected Products:
SUSE OpenStack Cloud 6
SUSE Enterprise Storage 3
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:

This update for python-paramiko fixes the following issues:

– CVE-2018-7750: Fixed transport.py in the SSH server implementation of
Paramiko that does not properly check whether authentication is
completed before processing other requests (bsc#1085276).

Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation methods
like YaST online_update or “zypper patch”.

Alternatively you can run the command listed for your product:

– SUSE OpenStack Cloud 6:

zypper in -t patch SUSE-OpenStack-Cloud-6-2018-588=1

– SUSE Enterprise Storage 3:

zypper in -t patch SUSE-Storage-3-2018-588=1

Package List:

– SUSE OpenStack Cloud 6 (noarch):

python-paramiko-1.15.2-2.6.1

– SUSE Enterprise Storage 3 (noarch):

python-paramiko-1.15.2-2.6.1

References:

https://www.suse.com/security/cve/CVE-2018-7750.html
https://bugzilla.suse.com/1085276


To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org